<?php include('casa/setup.casa.php');
$titulo = 'Carrito de Compras';
include('inc_head.php');

$codigo_venta = $_SESSION['codigo_venta'];

/*********************************/
//Datos de clientes ya registrados
$clie_nombres = '';
$clie_apellidos = '';
$clie_cinit = '';
$clie_celular = '';
if(isset($_GET['cinit'])){
	$cinit = DataForms::GET('cinit');

	$CINIT = new DB();
	$sqlCINIT = "SELECT * FROM inventarios_clientes
	WHERE clie_codigo = '$cinit';";
	$CINIT->dbSQL($sqlCINIT);
	$CINIT->next();
		$clie_nombres = $CINIT->dbField('clie_nombres');
		$clie_apellidos = $CINIT->dbField('clie_apellidos');
		$clie_cinit = $CINIT->dbField('clie_cinit');
		$clie_celular = $CINIT->dbField('clie_celular');		
}		

$Ubicacion = new DB();
$sqlUbicacion = "SELECT * FROM inventarios_ubicaciones ubi, rol_usuarios us
WHERE ubi.ubica_codigo = us.ubica_codigo
AND ubi.ubica_codigo='$USID';";
$Ubicacion->dbSQL($sqlUbicacion);
$Ubicacion->next();
$ubica_nombre = $Ubicacion->dbField('ubica_nombre');

//Aplicar descuentos de compras mayores o iguales a 50Bs, aplica al 4%
//solo enm ventas de tipo de unidades no por cajas
$Descuento = new DB();
$sqlDescuento = "SELECT SUM(ven.ven_precio) as DESCUENTO FROM inventarios_productos prod, inventarios_ubicaciones ubi, ventas_productos ven
WHERE prod.ubica_codigo = ubi.ubica_codigo
AND ven.ubica_codigo = ubi.ubica_codigo
AND ven.prod_codigo = prod.prod_codigo
AND ven.ven_codigo = '$codigo_venta'
AND ven.ventas_tipo='app';";
$Descuento->dbSQL($sqlDescuento);
$Descuento->next();
	$NumDescuento = $Descuento->dbField('DESCUENTO');
		if($NumDescuento >= 50)
			$NumDescuento = number_format($NumDescuento * 0.05,2);
		else 
			$NumDescuento = 0;
?>
<style>
th{
	color:white;
	text-align:center;
	text-transform:uppercase;
	background:green;
}	
.filas{
	display:block;
	padding:4px 0;
	border-bottom:1px solid green;
}	
</style>
</head>
<body>
	<div class="wrapper">
	
	<?php include('inc_menu2.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $titulo;?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
									<div class="table-responsive">
									
										<form>
										<div class="col-md-12">
											<div class="form-group form-group-default">
												<label>C.I. / NIT:</label>
												<input id='txtCINIT' type="text" value='<?php echo $clie_cinit; ?>' class="form-control">
												<div id='ClienteCINIT'></div>
											</div>	
											<div class="form-group form-group-default">
												<label>Cliente Nombres:</label>
												<input id='txtNombres' value='<?php echo $clie_nombres; ?>' type="text" class="form-control">
											</div>																							
											<div class="form-group form-group-default">
												<label>Celular:</label>
												<input id='txtCelular' value='<?php echo $clie_celular; ?>' type="text" class="form-control">
											</div>		
											<div class="form-group form-group-default">
												<label>Anotaciones:</label>
												<input id='txtDestino' type="text" class="form-control">
											</div>																				
										</div>																												
									
									<table class="display table table-striped table-hover">
											<thead>
												<tr>													
													<th>item</th>
													<th>descripción</th>
													<th>cajas</th>
													<th>unidades</th>													
													<th>precio unitario</th>
													<th>sub total</th>
												</tr>
											</thead>											
											<tbody>
											<?php
											$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi, ventas_productos ven
											WHERE prod.ubica_codigo = ubi.ubica_codigo
											AND ven.ubica_codigo = ubi.ubica_codigo
											AND ven.prod_codigo = prod.prod_codigo
											AND ven.ven_codigo = '$codigo_venta'
											AND ven.ventas_tipo='app';";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											$total = 0;
											
											while($db->next()){						
											$i++;												
												$ubica_nombre = $db->dbField('ubica_nombre');													
												$prod_item = $db->dbField('prod_item');
												$prod_nombre = $db->dbField('prod_nombre');
												$prod_preciounitario = $db->dbField('prod_preciounitario');
												$prod_preciodocena = $db->dbField('prod_preciodocena');
												$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												$prod_observaciones = $db->dbField('prod_observaciones');
												
												$ven_id = $db->dbField('ven_id');
												$ven_cantidad = $db->dbField('ven_cantidad');
												$ven_precio = $db->dbField('ven_precio');
												$ven_tipo = $db->dbField('ven_tipo');
												
												switch($ven_tipo){
													case '1' : $tipo = 'Unidad'; 
														$precio = $prod_preciounitario;
														$CajaU = 'Unidad';
														$piezas = 1;
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '2' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$CajaU = 'Caja';
														$piezas = $prod_piezascaja*12;
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
													case '3' : $tipo = 'Caja Docena'; 
														$precio = $prod_preciocajadocena;
														$CajaU = 'Caja';
														$piezas = $prod_piezascaja;
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '4' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$CajaU = 'unidades';
														$piezas = $prod_piezascaja;
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
												  }
												
												$total = $total + $ven_precio;
												$html.='<tr>';
													$html.='<td>'.$prod_item.'</td>';																							
													$html.='<td>'.$prod_nombre.'</td>';
													$html.='<td align=right>'.$ven_cantidad.' '.$CajaU.'</td>';
													$html.='<td align=right>'.$cantidades.'</td>';
													$html.='<td align=right>'.$precios.'</td>';
													$html.='<td align=right>'.number_format(($precio/$piezas)*($ven_cantidad*$piezas),2).'</td>';																							
												$html.='</tr>';											
												
											}//wend() 											
											echo $html;
											?>													
											</tbody>
										</table>	
										<table class="display table table-striped table-hover">
											<?php 
											$html2='';
											$html2.= '<tr><td colspan=7 align=right><h3>Total Parcial: Bs. '.number_format($total,2).'</h3></td></tr>';											
											echo $html2;
											?>
										</table>
										<table class="display table table-striped table-hover">
											<?php 
											$html2= '<tr><td colspan=7 align=right><h3>TOTAL: Bs. '.$total.'</h3></td><td></td></tr>';
											echo $html2; ?>	
										</table>	 
											<center>
												<div id='res'></div>
												<input class="btn btn-default" type='submit' value="ENVIAR A CAJA">
											</center>
										</form>                                 
                                	</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>			
		</div>
		
		
	</div>
</body>
</html>
<script>
$('form').on('submit', function(event) {
  event.preventDefault();

  $.post('<?php echo PATH_HOME.'ventastiendas-carrito-cliente2/'. md5(uniqid()); ?>',{
	 'codigo_venta': '<?php echo $codigo_venta; ?>', 
	 'cmbTipoPago': '', 
	 'txtNombres': $('#txtNombres').val(), 	 
	 'txtDescuentos': '0', 	 
	 'txtApellidos': $('#txtApellidos').val(), 
	 'txtCINIT': $('#txtCINIT').val(), 
	 'txtCelular': $('#txtCelular').val(), 
	 'txtDestino': $('#txtDestino').val(), 	 
	 'txtPuntoLista': '', 	 
	 'txtPuntoEntrega': '', 	 
	 'txtPersona': '', 	 	 
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
    $('#res').html(data);
  });  
});
/*
$('#txtCINIT').keyup(function(){
	let cinit = $(this).val();
	$.post('<?php echo PATH_HOME.'ventastiendas-buscar-cinit/'. md5(uniqid()); ?>',{
	 'cinit': cinit, 	 	 
	 'codigo_venta': '<?php echo $codigo_venta; ?>', 	 
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
	$('#ClienteCINIT').html(data);
  });  
});*/
</script>